/**
 * Copyright 2009-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.ee.event.types;

import javax.ejb.EJBObject;

/**
 * Event thrown on bean registration.
 * @author eyindanga
 */
public class BeanRegisterEvent extends AbstractEvent {
    /**
     * The Jndi name
     */
    String jndiName = null;
    /**
     * The cluster Configuration
     */
    Object clusterConfig = null;
    /**
     * the home class
     */
    Class<?> homeClass = null;

    /**
     * The remote class
     */
    Class<? extends EJBObject> remoteClass = null;

    /**
     * The class loader
     */
    ClassLoader classLoader = null;

    /**
     * true if is stateful.
     */
    boolean stateful = false;

    /**
     * true if is replicated
     */
    boolean clusterReplicated = false;

    /**
     *
     */
    public BeanRegisterEvent(final String source) {
        // TODO Auto-generated constructor stub
        super(source);
    }
    /**
     * @return the jndiName
     */
    public String getJndiName() {
        return jndiName;
    }
    /**
     * @param jndiName the jndiName to set
     */
    public void setJndiName(final String jndiName) {
        this.jndiName = jndiName;
    }
    /**
     * @return the clusterConfig
     */
    public Object getClusterConfig() {
        return clusterConfig;
    }
    /**
     * @param clusterConfig the clusterConfig to set
     */
    public void setClusterConfig(final Object clusterConfig) {
        this.clusterConfig = clusterConfig;
    }
    /**
     * @return the homeClass
     */
    public Class<?> getHomeClass() {
        return homeClass;
    }
    /**
     * @param homeClass the homeClass to set
     */
    public void setHomeClass(final Class<?> homeClass) {
        this.homeClass = homeClass;
    }
    /**
     * @return the remoteClass
     */
    public Class<? extends EJBObject> getRemoteClass() {
        return remoteClass;
    }
    /**
     * @param remoteClass the remoteClass to set
     */
    public void setRemoteClass(final Class<? extends EJBObject> remoteClass) {
        this.remoteClass = remoteClass;
    }
    /**
     * @return the classLoader
     */
    public ClassLoader getClassLoader() {
        return classLoader;
    }
    /**
     * @param classLoader the classLoader to set
     */
    public void setClassLoader(final ClassLoader classLoader) {
        this.classLoader = classLoader;
    }
    /**
     * @return the stateful
     */
    public boolean isStateful() {
        return stateful;
    }
    /**
     * @param stateful the stateful to set
     */
    public void setStateful(final boolean stateful) {
        this.stateful = stateful;
    }
    /**
     * @return the clusterReplicated
     */
    public boolean isClusterReplicated() {
        return clusterReplicated;
    }
    /**
     * @param clusterReplicated the clusterReplicated to set
     */
    public void setClusterReplicated(final boolean clusterReplicated) {
        this.clusterReplicated = clusterReplicated;
    }
}
